import { stringify } from 'qs';
import { request } from 'umi';
import webpath from '@/utils/webPath';


export async function deleteByPrimaryKeyForBjLsbj(params = {}) {
    return request(`/${webpath.zngfserverpath}/web/api/service/bjlsbj/delete?${stringify(params)}`);
}


export async function selectByPrimaryKeyForBjLsbj(params = {}) {
    return request(`/${webpath.zngfserverpath}/web/api/service/bjlsbj/get?${stringify(params)}`);
}


export async function insertForBjLsbj(params = {}) {
    return request(`/${webpath.zngfserverpath}/web/api/service/bjlsbj/insert`, {
        method: 'POST',
        data: {
            ...params,
            method: 'insert',
        },
    });
}


export async function updateForBjLsbj(params = {}) {
    return request(`/${webpath.zngfserverpath}/web/api/service/bjlsbj/update`, {
        method: 'POST',
        data: {
            ...params,
            method: 'update',
        },
    });
}


export async function deleteByMapForBjLsbj(params = {}) {
    return request(`/${webpath.zngfserverpath}/web/api/service/bjlsbj/deleteByMap`, {
        method: 'POST',
        data: {
            ...params,
            method: 'delete',
        },
    });
}


export async function updateByMapForBjLsbj(params = {}) {
    return request(`/${webpath.zngfserverpath}/web/api/service/bjlsbj/updateByMap`, {
        method: 'POST',
        data: {
            ...params,
            method: 'update',
        },
    });
}


export async function getOneForBjLsbj(params = {}) {
    return request(`/${webpath.zngfserverpath}/web/api/service/bjlsbj/getOne`, {
        method: 'POST',
        data: {
            ...params,
            method: 'fetch',
        },
    });
}



export async function getAllForBjLsbj(params = {}) {
    return request(`/${webpath.zngfserverpath}/web/api/service/bjlsbj/getAll`, {
        method: 'POST',
        data: {
            ...params,
            method: 'fetch',
        },
    });
}


export async function queryPageForBjLsbj(params = {}) {
    return request(`/${webpath.zngfserverpath}/web/api/service/bjlsbj/queryPage`, {
        method: 'POST',
        data: {
            ...params,
            method: 'fetch',
        },
    });
}


export async function countForBjLsbj(params = {}) {
    return request(`/${webpath.zngfserverpath}/web/api/service/bjlsbj/count`, {
        method: 'POST',
        data: {
            ...params,
            method: 'fetch',
        },
    });
}

export async function insertBatchForBjLsbj(params = {}) {
    return request(`/${webpath.zngfserverpath}/web/api/service/bjlsbj/insertBatch`, {
        method: 'POST',
        data: {
            ...params,
            method: 'insert',
        },
    });
}


export async function deleteBatchForBjLsbj(params = {}) {
    return request(`/${webpath.zngfserverpath}/web/api/service/bjlsbj/deleteBatch`, {
        method: 'POST',
        data: {
            ...params,
            method: 'delete',
        },
    });
}


export async function updateBatchForBjLsbj(params = {}) {
    return request(`/${webpath.zngfserverpath}/web/api/service/bjlsbj/updateBatch`, {
        method: 'POST',
        data: {
            ...params,
            method: 'update',
        },
    });
}